2 Replies Latest reply on Jan 21, 2010 11:50 PM by Santanu Saraswati

    Spring Modules and jBPM 3.2.X

    des kane Newbie

      Hi,

       

      Is there any decent Spring support for versions of jBPM 3 higher than 3.1 ? I read a good tutorial on the use of Spring Module classes such as JBPMTemplate, JBPMCallback, etc but I'm now hearing reports that later versions of jBPM 3 are not compatible.

       

      Does anyone know if there are plans to address this incompatibility, either by Spring or JBoss ?

       

      Thanks,

       

      Des.

        • 1. Re: Spring Modules and jBPM 3.2.X
          Ronald van Kuijk Master

           

          Is there any decent Spring support for versions of jBPM 3 higher than 3.1 ?

           

          No

           

          I read a good tutorial on the use of Spring Module classes such as JBPMTemplate, JBPMCallback, etc but I'm now hearing reports that later versions of jBPM 3 are not compatible.

           

          Correct, some things work, but not everything (hence my 'no' on the 'decent' suppport. otoh, decent could be read as 'good enough' in that case you could give it a try and accept the things that do not work or where you have to create workarounds.

          .

           

          Does anyone know if there are plans to address this incompatibility

           

          Yes I do know that

           

          either by Spring or JBoss ?

           

          No there won't be. All effort by JBoss went into spring support for jBPM 4. Supprt for 3 was done by external people and under the Spring umbrella. for 4 JBoss wanted to be in control.

           

          Ronald

          • 2. Re: Spring Modules and jBPM 3.2.X
            Santanu Saraswati Novice
            I used jBPM 3.2.2 with spring module, sometime in 2007. So it works. But if there is decent supprt? I second what Ronald says - 'decent' is not the word for that support. I have extened that class and changed to make that less 'indecent' which worked for me.